import { INumberInputIntegerProps } from './NumberInput';
import utilsIsInteger from '../utils/isInteger';
export declare function normalizeMinMax(props: INumberInputIntegerProps): {
    min: number;
    max: number;
};
export declare function isPotentialValue(value: string): boolean;
export declare const isInteger: typeof utilsIsInteger;
export declare function normalizeValue(potential: number | undefined | null, min: number, max: number, showTooltip?: boolean): {
    input: string;
    value: number | null;
    pop?: {
        visible: boolean;
        text: string;
        type: string;
    };
};
export declare function calculateLimit(value: number | null, min: number, max: number): {
    canInc: boolean;
    canDec: boolean;
};
export declare function getDelta(step?: number): number;
